summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2017-03-27 17:39:25 +0200
committerMichał Górny <mgorny@gentoo.org>2017-03-27 17:43:21 +0200
commit050b4365560e2dfaa315722e8d94a2ba6aae566b (patch)
tree41f6e69cdca6618c36babcef8098fa8d5c748ec9
parentnet-dialup/pptpd: move to net-vpn/pptpd (diff)
downloadgentoo-050b4365560e2dfaa315722e8d94a2ba6aae566b.tar.gz
gentoo-050b4365560e2dfaa315722e8d94a2ba6aae566b.tar.bz2
gentoo-050b4365560e2dfaa315722e8d94a2ba6aae566b.zip
dev-python/keepassx: Allow pycryptodome, #611598
-rw-r--r--dev-python/keepassx/keepassx-0.1.0-r1.ebuild (renamed from dev-python/keepassx/keepassx-0.1.0.ebuild)7
1 files changed, 5 insertions, 2 deletions
diff --git a/dev-python/keepassx/keepassx-0.1.0.ebuild b/dev-python/keepassx/keepassx-0.1.0-r1.ebuild
index 927a6783e32..45aac1922c1 100644
--- a/dev-python/keepassx/keepassx-0.1.0.ebuild
+++ b/dev-python/keepassx/keepassx-0.1.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -19,7 +19,10 @@ IUSE="test"
S=${WORKDIR}/python-${P}
RDEPEND="
- dev-python/pycrypto[${PYTHON_USEDEP}]
+ || (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ dev-python/pycrypto[${PYTHON_USEDEP}]
+ )
dev-python/prettytable[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]